Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::ORT_Adapter Class Reference

ORT_Adapter. More...

`#include <ORT_Adapter.h>`

Inheritance diagram for TAO::ORT_Adapter:

[legend]
Collaboration diagram for TAO::ORT_Adapter:

[legend]
List of all members.

## Public Member Functions
virtual int | activate (const char *server_id, const char *orb_id, PortableInterceptor::AdapterName *, PortableServer::POA_ptr poa)=0
| Activate the ORT library.
virtual int | set_obj_ref_factory (PortableInterceptor::ObjectReferenceFactory *current_factory)=0
| Set a different ort_factory to be used.
virtual PortableInterceptor::ObjectReferenceTemplate * | get_adapter_template (void)=0
| Accessor methods to ObjectReferenceTemplate template.
virtual PortableInterceptor::ObjectReferenceFactory * | get_obj_ref_factory (void)=0
| Accessor methods to PortableInterceptor::ObjectReferenceFactory.
virtual void | release (PortableInterceptor::ObjectReferenceTemplate *t)=0
| Release any references on `ObjectReferenceTemplate` t.
PortableInterceptor::ObjectReferenceFactory Methods
Methods required by the PortableInterceptor::ObjectReferenceFactory ValueType. Todo: @ Johnny, we won't be needing the exception specification below for long. Once bug 1852 is fixed, we can the exception specification and the "tao/SystemException.h" include above.
virtual CORBA::Object_ptr | make_object (const char *repository_id, const PortableInterceptor::ObjectId &id)=0 throw ( CORBA::SystemException )

## Detailed Description

ORT_Adapter.

Class that offers an interface to the POA to load and manipulate ORT library.

## Member Function Documentation

virtual int TAO::ORT_Adapter::activate | ( | const char * | server_id,
|  | const char * | orb_id,
|  | PortableInterceptor::AdapterName * | ,
|  | PortableServer::POA_ptr | poa
| ) | `[pure virtual]`

| Activate the ORT library.

virtual PortableInterceptor::ObjectReferenceTemplate* TAO::ORT_Adapter::get_adapter_template | ( | void |  | ) | `[pure virtual]`

| Accessor methods to ObjectReferenceTemplate template.

virtual PortableInterceptor::ObjectReferenceFactory* TAO::ORT_Adapter::get_obj_ref_factory | ( | void |  | ) | `[pure virtual]`

| Accessor methods to PortableInterceptor::ObjectReferenceFactory.

virtual CORBA::Object_ptr TAO::ORT_Adapter::make_object | ( | const char * | repository_id,
|  | const PortableInterceptor::ObjectId & | id
| ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual void TAO::ORT_Adapter::release | ( | PortableInterceptor::ObjectReferenceTemplate * | t | ) | `[pure virtual]`

| Release any references on `ObjectReferenceTemplate` t.

virtual int TAO::ORT_Adapter::set_obj_ref_factory | ( | PortableInterceptor::ObjectReferenceFactory * | current_factory | ) | `[pure virtual]`

| Set a different ort_factory to be used.

The documentation for this class was generated from the following file:

- ORT_Adapter.h